.locations-grid {
  --columns: 1;
  --gap: 30px;
  --row-gap: 45px;
}
.locations-grid .kickstart-gmap {
  margin-bottom: 50px;
  margin-top: 30px;
}
.locations-grid .kickstart-gmap__reveal-link {
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  margin: 0 auto;
}
.locations-grid .kickstart-gmap__reveal-link .icon {
  color: rgb(var(--color-primary));
}
.locations-grid .kickstart-gmap__reveal-link:after {
  background: rgb(var(--color-primary));
  content: "";
  height: 1px;
  width: 100%;
}

.locations-grid__locations {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-wrap: wrap;
      flex-wrap: wrap;
  gap: var(--gap);
  row-gap: var(--row-gap);
}
.locations-grid__locations .button {
  width: 80%;
  margin: 25px auto 0;
  margin-top: auto;
}
.locations-grid__locations img {
  border-radius: 50px;
  margin-bottom: 20px;
}
.locations-grid__locations phone {
  margin-bottom: 30px;
}

.locations-grid__location {
  display: -ms-flexbox;
  display: flex;
  -ms-flex-direction: column;
      flex-direction: column;
  position: relative;
  text-align: center;
  width: calc(100% / var(--columns) - var(--gap) * (var(--columns) - 1) / var(--columns));
}
.locations-grid__location.hidden {
  display: none;
}
.locations-grid__location .button:after {
  content: "";
  position: absolute;
  height: 100%;
  width: 100%;
  top: 0;
  left: 0;
}

.locations-grid__filter {
  justify-self: center;
  display: -ms-flexbox;
  display: flex;
  -ms-flex-direction: column;
      flex-direction: column;
  padding: 10px;
  margin-bottom: 40px;
  overflow: hidden;
}
.locations-grid__filter select,
.locations-grid__filter button {
  border-radius: 50px;
  color: rgb(var(--color-default));
  cursor: pointer;
  -ms-flex-positive: 100;
      flex-grow: 100;
  font-weight: 600;
  height: 60px;
  text-align: center;
}
.locations-grid__filter select {
  border: 1px solid #EBE5D9;
  color: rgb(var(--color-default));
  outline: none;
  padding: 5px 120px 5px 30px;
  -webkit-appearance: none;
  appearance: none;
  max-width: 100%;
  background-image: url('data:image/svg+xml,<svg class="icon" fill="currentColor" xmlns="http://www.w3.org/2000/svg" width="11.808" height="6.752" viewBox="0 0 11.808 6.752"><path id="Icon_ionic-ios-arrow-down" data-name="Icon ionic-ios-arrow-down" d="M12.094,15.963l4.465-4.468a.84.84,0,0,1,1.192,0,.851.851,0,0,1,0,1.2l-5.059,5.063a.842.842,0,0,1-1.164.025L6.434,12.693a.844.844,0,0,1,1.192-1.2Z" transform="translate(-6.188 -11.246)"/></svg>');
  background-repeat: no-repeat;
  background-size: 16px 10px;
  background-position: calc(100% - 20px);
}
.locations-grid__filter select::-ms-expand {
  display: none;
}
.locations-grid__filter button {
  background: rgb(var(--color-primary));
  border: 0;
  height: 100%;
  margin-top: 10px;
  padding: 20px 30px;
}

.locations-grid__image {
  position: relative;
}

.locations-grid__badge {
  bottom: 30px;
  position: absolute;
  right: 30px;
  width: 85px;
}

.locations-grid__services {
  font-size: 70%;
  margin-bottom: 15px;
}

.locations-grid__certification {
  color: rgb(var(--color-secondary));
  font-weight: 700;
}

@media (min-width: 576px) {
  .locations-grid {
    --columns: 2;
  }
  .locations-grid__filter {
    background: rgb(var(--color-light));
    border: 1px solid #EBE5D9;
    border-radius: 50px;
    -ms-flex-direction: row;
        flex-direction: row;
  }
  .locations-grid__filter select,
  .locations-grid__filter button {
    height: auto;
  }
  .locations-grid__filter select {
    text-align: left;
    border: 0;
  }
  .locations-grid__filter button {
    margin-top: 0;
  }
}
@media (min-width: 1200px) {
  .locations-grid {
    --columns: 3;
    --gap: 50px;
    --row-gap: 100px;
    font-size: calc(21 / var(--base) * 1rem);
  }
  .locations-grid .kickstart-gmap {
    margin-bottom: 90px;
    margin-top: 70px;
  }
}
